Bug 152262

Summary: [patch] editors/openoffice.org-3
Product: Ports & Packages Reporter: dirk.meyer <dirk.meyer>
Component: Individual Port(s)Assignee: FreeBSD Office Team <office>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description dirk.meyer 2010-11-15 14:50:10 UTC
1.
Openoffice fails to build, cause it needs 2 java enviroments.
Users can not overwrite the JAVA_VENDOR.

2.
Openoffice ist build by "root"
Talking with official supporters of OpenOffice,
They suggeseted we should chang thsi string to reflect
that this is build by our ports system.

Fix: /usr/ports/editors/openoffice.org-3# make all-depends-list JAVA_VENDOR=freebsd | grep jav
/usr/ports/java/diablo-jdk16
/usr/ports/java/javavmwrapper

	Apply this patch (to all openoffice* ports)

How-To-Repeat: 
1.
/usr/ports/editors/openoffice.org-3# make all-depends-list | grep jav
/usr/ports/java/jdk16
/usr/ports/java/javavmwrapper
/usr/ports/java/diablo-jdk16

/usr/ports/editors/openoffice.org-3# make all-depends-list JAVA_VENDOR=freebsd | grep jav
/usr/ports/java/jdk16
/usr/ports/java/javavmwrapper
/usr/ports/java/diablo-jdk16


2.
Start openoffice.org-3.2.1
Menue "Help" -> "About OpenOffice.org"
Copyright © 2000, 2010 Oracle and/or its affiliates. All rights reserved.
This product was created by root, based on OpenOffice.org.
OpenOffice.org acknowledges all community members, especially those mentioned at
 http://www.openoffice.org/welcome/credits.html.

I suggest we put in:
CONFIGURE_ARGS+=	--with-vendor=FreeBSD-ports

Or even create a seperate Tuneable in the ports.
Comment 1 Edwin Groothuis freebsd_committer 2010-11-15 14:50:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-12-15 18:47:43 UTC
dinoex      2010-12-15 18:47:40 UTC

  FreeBSD ports repository

  Modified files:
    editors/openoffice.org-3 Makefile 
  Log:
  - allow users override JAVA_VENDOR
  - set OpenOffice Vendor in About-dialog
  PR:             152262
  Approved by:    (maintainer timeout)
  
  Revision  Changes    Path
  1.336     +2 -1      ports/editors/openoffice.org-3/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Dirk Meyer freebsd_committer 2010-12-15 18:53:58 UTC
State Changed
From-To: open->patched

openoffice-3 patched 
others shold be patched too.
Comment 4 Baptiste Daroussin freebsd_committer 2011-09-20 15:06:17 UTC
Responsible Changed
From-To: openoffice->office

Over to new maintainer
Comment 5 Dirk Meyer freebsd_committer 2011-12-03 20:38:02 UTC
State Changed
From-To: patched->closed

committed, thanks.